Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.samcivics.schemas.v2
Class FindPublicCNKResponse

    java.lang.Object
      be.fgov.ehealth.commons.protocol.v2.ResponseType
          be.fgov.ehealth.samcivics.schemas.v2.FindPublicCNKResponse

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2017-06-27T08:10:42+02:00",
               comments="JAXB RI v2.2.11")
    public class FindPublicCNKResponse

extends ResponseType
implements Serializable

Java class for FindPublicCNKResponseType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="FindPublicCNKResponseType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}ResponseType">
           <sequence>
             <element name="Ampp" type="{urn:be:fgov:ehealth:samcivics:type:v2}FindAmppType" maxOccurs="unbounded"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`FindPublicCNKResponse()`

Method Summary
`List<FindAmppType>` | `getAmpps()` Gets the value of the ampps property.

Methods inherited from class be.fgov.ehealth.commons.protocol.v2.ResponseType
`getId, getInResponseTo, getIssueInstant, setId, setInResponseTo, setIssueInstant`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FindPublicCNKResponse

    public FindPublicCNKResponse()

Method Detail

### getAmpps

    public List<FindAmppType> getAmpps()

  Gets the value of the ampps property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the ampps property.

  For example, to add a new item, do as follows:

          getAmpps().add(newItem);

  Objects of the following type(s) are allowed in the list `FindAmppType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging generic 3.13.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.